#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s, s_copy;
    cin>>s;
    long q, l, r, answ;
    cin>>q;
    vector<long> start_pos;
    for(long i=1; i<s.length(); i++){
        if(s[i] < s[i-1]){
            i++;
            start_pos.push_back(i);
            //cout<<i<<' ';
        }
    }
    //cout<<'\n';
    for(long i=0; i<q; i++){
        cin>>l>>r;
        answ = 0;
        for(long j=0; j<start_pos.size(); j++){
            if(start_pos[j] >= l){
                if(start_pos[j] > r){
                    break;
                }
                if(answ == 0){
                    if(start_pos[j] > l){
                        answ = 1;
                    }
                }
                answ++;
            }
        }
        cout<<answ<<'\n';
    }
    return 0;
}
